apiVersion: v1
data:
  sonar.properties: sonar.web.javaOpts=-Xmx512m -Xms512m -XX:+HeapDumpOnOutOfMemoryError
  wrapper.conf: |-
    wrapper.java.command=java
    wrapper.java.additional.1=-Dsonar.wrapped=true
    wrapper.java.additional.2=-Djava.awt.headless=true
    wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp
    wrapper.java.classpath.1=../../lib/jsw/*.jar
    wrapper.java.classpath.2=../../lib/common/*.jar
    wrapper.java.classpath.3=../../lib/*.jar
    wrapper.java.library.path.1=./lib
    wrapper.app.parameter.1=org.sonar.application.App
    wrapper.java.initmemory=8
    wrapper.java.maxmemory=32
    wrapper.console.format=PM
    wrapper.console.loglevel=INFO
    wrapper.logfile=../../logs/sonar.log
    wrapper.logfile.format=M
    wrapper.logfile.loglevel=INFO
    wrapper.syslog.loglevel=NONE
    wrapper.console.title=SonarQube
    wrapper.single_invocation=true
    wrapper.ntservice.name=SonarQube
    wrapper.ntservice.displayname=SonarQube
    wrapper.ntservice.dependency.1=
    wrapper.ntservice.starttype=AUTO_START
    wrapper.ntservice.interactive=false
    wrapper.disable_restarts=TRUE
    wrapper.ping.timeout=0
    wrapper.shutdown.timeout=300
    wrapper.jvm_exit.timeout=300
kind: ConfigMap
metadata:
  name: sonarqube-kube
  namespace: ci
